<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.BioPlate"
	import="net.sf.basedb.core.DbControl"	
	import="net.sf.basedb.core.Item"
	import="net.sf.basedb.core.ItemContext"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
	import="java.util.List"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.meludi");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../meludi-2.js,~specimentube.js" 
	styles="path.css,~../css/meludi-2.css"
/>
<base:body>

	<p:path><p:pathelement 
		title="" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Specimen tube registration" 
		/></p:path>
	
	<div class="content">

	<form name="meludi" id="wizard" class="wizard">
	
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Enter Case Name</div>
		<div class="step-content">
	
			<table class="step-form">
			<tr>
				<td class="prompt">Case name</td>
				<td class="input">
					<input type="text" name="caseName" id="caseName"
						class="required auto-init" data-auto-init="focus" 
						style="width: 12em;" maxlength="12">
				</td>
				<td class="status" id="caseName.status"></td>
				<td class="help">
					<span id="caseName.message" class="message"></span>
					The 7-character case (barcode) associated with this specimen tube ("ML" + 5 digits).
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div class="step" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title">Enter Case information</div>
		<div class="step-content">

			<table class="step-form">
			<tr>
				<td class="prompt">Number of tubes</td>
				<td class="input">
					<input type="text" name="nofTubes" id="nofTubes"
						class="required auto-init" data-auto-init="focus-on-enter" data-next-focus="arrivalDate"
					  	style="width: 12em;" maxlength="4" value="1">
				</td>
				<td class="status" id="nofTubes.status"></td>
				<td class="help">
					<span id="nofTubes.message" class="message"></span>
					Number of tubes in this case.
				</td>
			</tr>
			<tr valign="top">
				<td class="prompt">Arrival date</td>
				<td class="input">
					<input type="text" name="arrivalDate" id="arrivalDate" 
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="samplingDate"
						data-disallow-future-date="1"
						style="width: 12em;" maxlength="10">
				</td>
				<td class="status" id="arrivalDate.status"></td>
				<td class="help">
					<span id="arrivalDate.message" class="message"></span>
					Date when the specimen tubes arrived (YYYYMMDD or MMDD).
				</td>
			</tr>
			<tr>
				<td class="prompt">Sampling date</td>
				<td class="input">
					<input type="text" name="samplingDate" id="samplingDate"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="site.input"
						style="width: 12em;" maxlength="10">
				</td>
				<td class="status" id="samplingDate.status"></td>
				<td class="help">
					<span id="samplingDate.message" class="message"></span>
					Date of surgical removal (YYYYMMDD or MMDD).
				</td>
			</tr>
			<tr>
				<td class="prompt">Mutation analysis</td>
				<td class="input">
					<label id="mutationAnalysisKrasNras"><input type="checkbox" name="mutationAnalysisKrasNras" id="mutationAnalysisKrasNras">KRAS/NRAS (exon 2-4)</label><br>
					<label id="mutationAnalysisBraf"><input type="checkbox" name="mutationAnalysisBraf" id="mutationAnalysisBraf">BRAF (codon 600)</label><br>
					<label id="mutationAnalysisEgfr"><input type="checkbox" name="mutationAnalysisEgfr" id="mutationAnalysisEgfr">EGFR (exon 18-21)</label><br>
				</td>
				<td class="status" id="mutationAnalysis.status"></td>
				<td class="help">
					<span id="mutationAnalysis.message" class="message"></span>
					For negative KRAS analysis and colorectal cancer, NRAS analysis should normally also be performed.
				</td>
			</tr>
			<tr>
				<td class="prompt">Site</td>
				<td class="input">
					<select name="site" id="site"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="tubeContentType">
						<option selected value="" >unknown
						<option value="Helsingborg">Helsingborg
						<option value="Karlskrona">Karlskrona
						<option value="Kristianstad">Kristianstad
						<option value="Lund">Lund
						<option value="Malmo" >Malmö
						<option value="Vaxjo" >Växjö
						<option value="Linkoping" >Linköping
					</select>
				</td>
				<td class="status" id="site.status"></td>
				<td class="help">
					<span id="site.message" class="message"></span>
					Hospital site
				</td>
			</tr>
			<tr>
				<td class="prompt">Tube content type</td>
				<td class="input">
					<select name="tubeContentType" id="tubeContentType"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="specimenType">
						<option selected value="Specimen" >Specimen
						<option value="DNA">DNA
						<option value="RNA">RNA
						<option value="DNA_RNA">DNA + RNA
					</select>
				</td>
				<td class="status" id="tubeContentType.status"></td>
				<td class="help">
					<span id="tubeContentType.message" class="message"></span>
					Tube content type. (Selecting other option than "Specimen" will set number of tubes.)
				</td>
			</tr>
			<tr>
				<td class="prompt">Specimen type</td>
				<td class="input">
					<select name="specimenType" id="specimenType"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="projectFocus">
						<option selected value="" >unknown
						<option value="Primary">Primary tumour
						<option value="MetastasisDistant">Metastasis
					</select>
				</td>
				<td class="status" id="specimenType.status"></td>
				<td class="help">
					<span id="specimenType.message" class="message"></span>
					Type of specimen (Analyzed malignancy).
				</td>
			</tr>
			<tr>
				<td class="prompt">Project focus</td>
				<td class="input">
					<select name="projectFocus" id="projectFocus"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="otherPathNote">
						<option selected value="" >unknown
						<option value="melanoma">Melanoma
						<option value="lungcancer">Lung cancer
					</select>
				</td>
				<td class="status" id="projectFocus.status"></td>
				<td class="help">
					<span id="projectFocus.message" class="message"></span>
					Project focus for the case (melanoma or lung cancer).
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">Other path note</td>
				<td class="input">
					<textarea name="otherPathNote" id="otherPathNote" rows="3"></textarea>
				</td>
				<td class="status" id="otherPathNote.status"></td>
				<td class="help">
					<span id="otherPathNote.message" class="message"></span>
					In this field, enter ALL text noted on the referral form by the pathologist.
				</td>
			</tr>
			</table>
		</div>
	</div>
		
	<div class="step" id="step-3">
		<div class="step-no">3</div>
		<div class="step-title">Enter tube information</div>
		<div class="step-content">
		
			<table id="specimen-tubes" class="step-form">
			</table>
		</div>
	</div>
	
	<div id="wizard-status"></div>

	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td><base:button id="gostop" title="Stop" image="cancel.png" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	

	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>